[advice]
	addEmptyPathspec = false
	addIgnoredFile = false
[alias]
	jump = !/usr/share/git/git-jump/git-jump
	# Based on https://stackoverflow.com/questions/5188320/how-can-i-get-a-list-of-git-branches-ordered-by-most-recent-commit
	recent = "!rb() { \
		git branch --all --color=always --sort=-committerdate \
		--format='%(HEAD) %(color:bold green)%(committerdate:relative)%(color:reset)|%(color:yellow)%(refname:short)%(color:reset)|%(subject)' \
		| head -n ${1:-15} | column -ts'|'; }; \
		rb"
[branch]
	sort = -committerdate
[blame]
	# Mark any lines that have had a commit skipped using --ignore-rev with a `?`
	markIgnoredLines = true
	# Mark any lines that were added in a skipped commit and can not be attributed with a `*`
	markUnblamableLines = true
[color]
	ui = true
[commit]
	verbose = true
[core]
	editor = nvim
	excludesfile = ~/.config/git/ignore
[diff]
	tool = nvimdiff
	context = 10
	interHunkContext = 10
	submodule = log
[difftool]
	prompt = false
	trustExitCode = true
[difftool "nvimdiff"]
	cmd = nvim -R -d $LOCAL $REMOTE
[difftool "difftastic"]
	cmd = difft $LOCAL $REMOTE
[difftool "kitty"]
	cmd = kitty +kitten diff $LOCAL $REMOTE
[fetch]
	prune = true
	pruneTags = true
[http]
	sslVerify = false
[init]
	defaultBranch = master
[log]
	follow = true
[merge]
	tool = nvimdiff1
	conflictstyle = zdiff3
	ff = only
[mergetool]
	prompt = false
	keepBackup = false
	hideResolved = false
[mergetool "nvimdiff1"]
	hideResolved = true
[pager]
	difftool = true
[protocol "http"]
	allow = never
[pull]
	rebase = false
[push]
	default = nothing
[rebase]
	autosquash = true
	autoStash = true
	updateRefs = true
[receive]
	fsckObjects = true
[sendemail]
	smtpserver = /usr/bin/msmtp
[stash]
	showPatch = true
[submodule]
	recurse = true
[transfer]
	fsckObjects = true
[user]
	name = Sanchayan Maity
	email = sanchayan@sanchayanmaity.net
	login = sanchayanmaity
	signingkey = 6F6A0609C12038F3
